Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api.events.data
Enum TaskEvent.Type

    java.lang.Object
      java.lang.Enum<TaskEvent.Type>
          com.bea.wli.worklist.api.events.data.TaskEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<TaskEvent.Type>

Enclosing interface:
  TaskEvent

    public static enum TaskEvent.Type

extends Enum<TaskEvent.Type>

Enumeration for different types of events. Note that the CLAIM_EXPIRE, START and STOP event types are deprecated and should not be used in new development.

Enum Constant Summary
`ABORT`
`ASSIGN`
`CLAIM`
`CLAIM_EXPIRE_81X`
`CLEAR_ERROR`
`COMPLETE`
`CREATE`
`REACTIVATE`
`RESUME`
`RETURN`
`SET_CURRENT_STEP`
`SET_ERROR`
`SET_SYSTEM_PROPERTY`
`SET_USER_PROPERTY`
`START_81X`
`STEP_CHANGE`
`STEP_EXPIRE`
`STOP_81X`
`SUSPEND`
`TAKE_ACTION`
`TASK_EXPIRE`

Method Summary
`static TaskEvent.Type` | `getFromOrdinal(int ordinal)`
`String` | `getValue()`
`static TaskEvent.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final TaskEvent.Type CREATE

### ASSIGN

    public static final TaskEvent.Type ASSIGN

### CLAIM

    public static final TaskEvent.Type CLAIM

### RETURN

    public static final TaskEvent.Type RETURN

### TAKE_ACTION

    public static final TaskEvent.Type TAKE_ACTION

### STEP_CHANGE

    public static final TaskEvent.Type STEP_CHANGE

### SET_USER_PROPERTY

    public static final TaskEvent.Type SET_USER_PROPERTY

### SUSPEND

    public static final TaskEvent.Type SUSPEND

### RESUME

    public static final TaskEvent.Type RESUME

### SET_ERROR

    public static final TaskEvent.Type SET_ERROR

### CLEAR_ERROR

    public static final TaskEvent.Type CLEAR_ERROR

### COMPLETE

    public static final TaskEvent.Type COMPLETE

### ABORT

    public static final TaskEvent.Type ABORT

### REACTIVATE

    public static final TaskEvent.Type REACTIVATE

### SET_CURRENT_STEP

    public static final TaskEvent.Type SET_CURRENT_STEP

### SET_SYSTEM_PROPERTY

    public static final TaskEvent.Type SET_SYSTEM_PROPERTY

### CLAIM_EXPIRE_81X

    public static final TaskEvent.Type CLAIM_EXPIRE_81X

### STEP_EXPIRE

    public static final TaskEvent.Type STEP_EXPIRE

### TASK_EXPIRE

    public static final TaskEvent.Type TASK_EXPIRE

### START_81X

    public static final TaskEvent.Type START_81X

### STOP_81X

    public static final TaskEvent.Type STOP_81X

Method Detail

### values

    public static final TaskEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskEvent.Type c : TaskEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public String getValue()

### getFromOrdinal

    public static TaskEvent.Type getFromOrdinal(int ordinal)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD